classification
Title: binhex documentation claims unknown bug
Type: behavior Stage: patch review
Components: Documentation, macOS Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: David Wilemski, berker.peksag, docs@python, georg.brandl, ned.deily, rhettinger, ronaldoussoren, serhiy.storchaka
Priority: normal Keywords:

Created on 2017-02-14 16:20 by David Wilemski, last changed 2017-03-05 07:46 by serhiy.storchaka.

Pull Requests
URL Status Linked Edit
PR 90 merged David Wilemski, 2017-02-14 16:20
PR 474 merged Mariatta, 2017-03-05 06:51
PR 475 merged Mariatta, 2017-03-05 06:51
Messages (8)
msg287781 - (view) Author: David Wilemski (David Wilemski) * Date: 2017-02-14 16:20
The binhex documentation has a line in it that says "As of this writing, hexbin() appears to not work in all cases."

This is a bit ambiguous and there is no context for what the bug may be. It appears this line is from the first commit to the hexbin function's documentation in 1995 (https://hg.python.org/cpython/rev/3911d4a89ab0#l4.40) but the commit also has no information about what this bug may be. I also see no current open bugs for the binhex module that seem related.

In 2009, there was a patch for the hexbin function but I have no idea if this is the bug from the original documentation or if it was something else entirely: https://bugs.python.org/issue6369

Given this, I believe the line should be removed unless more details about the referenced buggy behavior can be found.
msg287801 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-14 22:37
New changeset 6de2b7817fa9403e81dc38f13f3690f0bbf3d064 by Berker Peksag in branch 'master':
bpo-29557: Remove ambiguous line in binhex docs (#90)
https://github.com/python/cpython/commit/6de2b7817fa9403e81dc38f13f3690f0bbf3d064
msg287819 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-02-15 06:02
I think this should be read in the context of previous lines:

    If you code or decode textfiles on non-Macintosh platforms they will still use
    the old Macintosh newline convention (carriage-return as end of line).

And may be related to the in-code comment:

    # XXXX Do translation on non-mac systems
msg287828 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-02-15 09:37
Georg, do remember why this admonition was present?
msg287860 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2017-02-15 15:38
I think the comment about needing translation on non-mac systems is incorrect. Binhex is (or rather was) a textual encoding for binary files used on classic MacOS.  The encoded file is more likely to be binary data than a text file and replacing b'\r' by the line ending of the current platform could well corrupt that data.
msg287861 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-02-15 15:49
File flags are saved in binhex format, therefore it is possible to distinguish text files from binary files.
msg287868 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2017-02-15 17:29
I don't remember anything specific about this, sorry.
msg289003 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-03-05 07:46
See also issue29566. Perhaps hexbin() bug is related to that bug.
History
Date User Action Args
2017-03-05 07:46:31serhiy.storchakasetmessages: + msg289003
2017-03-05 06:51:46Mariattasetpull_requests: + pull_request390
2017-03-05 06:51:15Mariattasetpull_requests: + pull_request389
2017-02-15 17:29:12georg.brandlsetmessages: + msg287868
2017-02-15 15:49:01serhiy.storchakasetmessages: + msg287861
2017-02-15 15:38:54ronaldoussorensetmessages: + msg287860
2017-02-15 09:37:41rhettingersetnosy: + rhettinger, georg.brandl
messages: + msg287828
2017-02-15 06:03:03serhiy.storchakasetnosy: + ronaldoussoren, ned.deily
components: + macOS
2017-02-15 06:02:35serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg287819
2017-02-14 22:40:10berker.peksagsetstage: patch review
type: behavior
versions: + Python 3.5, Python 3.6
2017-02-14 22:37:52berker.peksagsetnosy: + berker.peksag
messages: + msg287801
2017-02-14 16:20:44David Wilemskicreate